summaryrefslogtreecommitdiffstats
path: root/network/corkscrew
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-05-12 23:32:00 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:32:00 +0200
commit1d64c3277d7442916773cf98e3a4bebc7fa2233b (patch)
tree0f8b6867d96cd4219001e2e6a0ca4734586342b8 /network/corkscrew
parent40a4b9bf9a4bf496b3d5d6f51540b18e735b18b8 (diff)
downloadslackbuilds-1d64c3277d7442916773cf98e3a4bebc7fa2233b.tar.gz
slackbuilds-1d64c3277d7442916773cf98e3a4bebc7fa2233b.tar.xz
network/corkscrew: Added to 12.2 repository
Diffstat (limited to 'network/corkscrew')
-rw-r--r--network/corkscrew/README27
-rw-r--r--network/corkscrew/corkscrew.SlackBuild97
-rw-r--r--network/corkscrew/corkscrew.info8
-rw-r--r--network/corkscrew/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/network/corkscrew/README b/network/corkscrew/README
new file mode 100644
index 0000000000..adc964e457
--- /dev/null
+++ b/network/corkscrew/README
@@ -0,0 +1,27 @@
+Corkscrew is a tool for tunneling SSH through HTTP proxies.
+Setting up Corkscrew with SSH/OpenSSH is very simple. Adding
+the following line to your ~/.ssh/config file will usually do
+the trick (replace proxy.example.com and 8080 with correct values):
+
+ProxyCommand /usr/bin/corkscrew proxy.example.com 8080 %h %p
+
+Basic HTTP authentication is also supported, you will need to create a file
+that contains your usename and password
+in the form of:
+
+username:password
+
+I suggest you place this file in your ~/.ssh directory.
+After creating this file you will need to ensure that the proper perms
+are set so nobody else can get your username and password by reading
+this file. So do this:
+
+chmod 600 ~/.ssh/myauth
+
+Now you will have to change the ProxyCommand line in your ~/.ssh/config
+file. Here's an example:
+
+ProxyCommand /usr/bin/corkscrew proxy.work.com 80 %h %p ~/.ssh/myauth
+
+The proxy authentication feature is very new and has not been tested
+extensively so your mileage may vary.
diff --git a/network/corkscrew/corkscrew.SlackBuild b/network/corkscrew/corkscrew.SlackBuild
new file mode 100644
index 0000000000..7196a16c74
--- /dev/null
+++ b/network/corkscrew/corkscrew.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for corkscrew.
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=corkscrew
+VERSION=${VERSION:-2.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# No man pages :-/
+# I leave this section for future use (hopefully)
+#( cd $PKG/usr/man
+# find . -type f -exec gzip -9 {} \;
+# for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+#)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/corkscrew/corkscrew.info b/network/corkscrew/corkscrew.info
new file mode 100644
index 0000000000..cd2c6c65ae
--- /dev/null
+++ b/network/corkscrew/corkscrew.info
@@ -0,0 +1,8 @@
+PRGNAM="corkscrew"
+VERSION="2.0"
+HOMEPAGE="http://www.agroman.net/corkscrew/"
+DOWNLOAD="http://www.agroman.net/corkscrew/corkscrew-2.0.tar.gz"
+MD5SUM="35df77e7f0e59c0ec4f80313be52c10a"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero,rworkman"
diff --git a/network/corkscrew/slack-desc b/network/corkscrew/slack-desc
new file mode 100644
index 0000000000..dd51f70354
--- /dev/null
+++ b/network/corkscrew/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+corkscrew: Corkscrew (SSH proxy connect command)
+corkscrew:
+corkscrew: Corkscrew is a tool for tunneling SSH through HTTP proxies.
+corkscrew:
+corkscrew:
+corkscrew:
+corkscrew:
+corkscrew:
+corkscrew:
+corkscrew:
+corkscrew: